// Le main est fourni dans la solution et n'a pas  tre modifi
#include <SFML/Graphics.hpp>
#include "Exercice3.7.h"
#include "Heros.h"
#include "Ennemi.h"
using namespace std;
using namespace sf;

int main()
{
	bool Fin = false;

	RenderWindow Fenetre(VideoMode(Hauteur, Largeur), "SuperMario");
	Texture MarioImg, KoopaImg, FondImg;

	// Charger les textures
	if (!MarioImg.loadFromFile("mario.png"))
	{
		return EXIT_FAILURE;
	}

	if (!KoopaImg.loadFromFile("koopa.png"))
	{
		return EXIT_FAILURE;
	}

	if (!FondImg.loadFromFile("fondmario.bmp"))
	{
		return EXIT_FAILURE;
	}
	Sprite Fond(FondImg); // Crer un sprite avec la texture du fond

	// Crer Mario et Koopa
	CHeros Mario(MarioImg, 100.0f, 100.0f);
	CEnnemi Koopa(KoopaImg, 200.0f, 200.0f);

	while (!Fin)
	{
		Fenetre.clear();
		Fenetre.draw(Fond);
		Fin = Mario.Bouger();
		Koopa.Deplacer();
		Mario.Afficher(Fenetre);
		Koopa.Afficher(Fenetre);
		Fenetre.display();
		sleep(milliseconds(5));
	}

	return 0;
}